Civilization 4 1.74 no cd patch please!!!!

Discussion in 'Mac and PC Games' started by choekyongpalga, Oct 20, 2007.

  1. choekyongpalga macrumors newbie

    Joined:
    Oct 17, 2007
    #1
    Hi guys.

    I'm new to this forum and to mac gaming as well. I've read all the posts above and couldn't find anyone discussing whether Civ 4 still crashes with the latest patch 1.74. I'm still downloading the patch as I have a slow connection here.

    The game (version 1.61) used to crash every single time I tried to play even the tutorial, let alone the main campaign! I have a 15 " MacBook Pro 2.2 ghz, 2 gb ram, 128 mb 3d card. I've heard of the game having problem with just this particular Mac model.

    So I'm thinking of installing the latest patch but don't know whether my old no cd patch will work or not. Can anyone please enlighten me? And if I do need a new no cd patch, can anyone most kindly pm me the link? Any help will be highly appreciated.

    Thank you
     
  2. jude4312 macrumors newbie

    Joined:
    Dec 4, 2007
    #2
    if your no cd patch is a mountable one, it might work. if it's just a cracking the main app, it won't work. by the way, can i have the patch you have?
     
  3. Royevans macrumors newbie

    Joined:
    Dec 4, 2007
    #3
    If your using a mountable crack then you don't have to worry because a mountable image tells the computer that the CD is in the drive (it's just a rip of the files) however if your using an over written .EXE file then your going to need to create one or find one which ever you feel is better.
     
  4. xpressyrself macrumors newbie

    Joined:
    Aug 19, 2009
    #4
    I have all the latest patches, let me know if you still need them.
     
  5. txa1265 macrumors 6502a

    txa1265

    Joined:
    Aug 15, 2002
    Location:
    Corning, NY
    #5
    I thought that later Civ IV official patches removed the CD requirement?
     
  6. Mackilroy macrumors 68040

    Mackilroy

    Joined:
    Jun 29, 2006
    #6
    They did. xpressyrself must not have noticed that this thread is nearly three years old.
     
  7. xpressyrself, Nov 2, 2010
    Last edited: Nov 4, 2010

    xpressyrself macrumors newbie

    Joined:
    Aug 19, 2009
    #7
    Hey sorry people. I was pretty vague in my last post. I do realise that this thread is now 3 years old, but I only got the 'nocd patch' yesterday, and it is working fine with Civilization IV v1.74.

    I did not know that Firaxis released an official patch which removes the CD requirement from Civilization IV, or Civilization IV - Warlords, as far as I am aware Civilization IV - Beyond The Sword v3.19 was the only one they made CD-free. I got this information from another thread:

    http://forums.civfanatics.com/showthread.php?p=9858051#post9858051

    This thread wasn't about the expansions, the question was 'Civilization 4 1.74 no cd patch please!!!!', and there was no solution posted, so here it is for anyone who still wants it (obviously this is for the Mac OSX version):

    http://rapidshare.com/files/428591843/Civilization_IV_v1.74_nocd.zip

    Please report any broken links and I will re-post.
     
  8. garretsw macrumors newbie

    Joined:
    Oct 5, 2012
    #8
    I don't care if its three years old

    This no cd crack just helped me so Thanks for answering his question even though it was three years old at the time
     

Share This Page